<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xzzn.ems.mapper.EmsClusterAlarmDataMapper">

    <resultMap type="EmsClusterAlarmData" id="EmsClusterAlarmDataResult">
        <result property="id"    column="id"    />
        <result property="dataTimestamp"    column="data_timestamp"    />
        <result property="siteId"    column="site_id"    />
        <result property="deviceId"    column="device_id"    />
        <result property="c1zktxsl"    column="c1zktxsl"    />
        <result property="c1ddyqyqdgj"    column="c1ddyqyqdgj"    />
        <result property="c1ddyqyzdgj"    column="c1ddyqyzdgj"    />
        <result property="c1ddyqyzzdgj"    column="c1ddyqyzzdgj"    />
        <result property="c1ddygyqdgj"    column="c1ddygyqdgj"    />
        <result property="c1ddygyzdgj"    column="c1ddygyzdgj"    />
        <result property="c1ddygyzzdgj"    column="c1ddygyzzdgj"    />
        <result property="c1ddlqdgj"    column="c1ddlqdgj"    />
        <result property="c1ddlzdgj"    column="c1ddlzdgj"    />
        <result property="c1ddlzzdgj"    column="c1ddlzzdgj"    />
        <result property="c1dtqyqdgj"    column="c1dtqyqdgj"    />
        <result property="c1dtqyzdgj"    column="c1dtqyzdgj"    />
        <result property="c1dtqyzzdgj"    column="c1dtqyzzdgj"    />
        <result property="c1dtgyqdgj"    column="c1dtgyqdgj"    />
        <result property="c1dtgyzdgj"    column="c1dtgyzdgj"    />
        <result property="c1dtgyzzdgj"    column="c1dtgyzzdgj"    />
        <result property="c1dtqwqdgj"    column="c1dtqwqdgj"    />
        <result property="c1dtqwzdgj"    column="c1dtqwzdgj"    />
        <result property="c1dtqwzzdgj"    column="c1dtqwzzdgj"    />
        <result property="c1dtgwqdgj"    column="c1dtgwqdgj"    />
        <result property="c1dtgwzdgj"    column="c1dtgwzdgj"    />
        <result property="c1dtgwzzdgj"    column="c1dtgwzzdgj"    />
        <result property="c1socdqdgj"    column="c1socdqdgj"    />
        <result property="c1socdzdgj"    column="c1socdzdgj"    />
        <result property="c1socdzzdgj"    column="c1socdzzdgj"    />
        <result property="c1socgqdgj"    column="c1socgqdgj"    />
        <result property="c1socgzdgj"    column="c1socgzdgj"    />
        <result property="c1socgzzdgj"    column="c1socgzzdgj"    />
        <result property="c1sohdqdgj"    column="c1sohdqdgj"    />
        <result property="c1sohdzdgj"    column="c1sohdzdgj"    />
        <result property="c1sohdzzdgj"    column="c1sohdzzdgj"    />
        <result property="c1dtycqdgj"    column="c1dtycqdgj"    />
        <result property="c1dtyczdgj"    column="c1dtyczdgj"    />
        <result property="c1dtyczzdgj"    column="c1dtyczzdgj"    />
        <result property="c1dtwcqdgj"    column="c1dtwcqdgj"    />
        <result property="c1dtwczdgj"    column="c1dtwczdgj"    />
        <result property="c1dtwczzdgj"    column="c1dtwczzdgj"    />
        <result property="c1ck1txsl"    column="c1ck1txsl"    />
        <result property="c1ck2txsl"    column="c1ck2txsl"    />
        <result property="c1ck3txsl"    column="c1ck3txsl"    />
        <result property="c1ck4txsl"    column="c1ck4txsl"    />
        <result property="c1ck5txsl"    column="c1ck5txsl"    />
        <result property="c1ck6txsl"    column="c1ck6txsl"    />
        <result property="c1ck7txsl"    column="c1ck7txsl"    />
        <result property="c1ck8txsl"    column="c1ck8txsl"    />
        <result property="c1ck9txsl"    column="c1ck9txsl"    />
        <result property="c1ck10txsl"    column="c1ck10txsl"    />
        <result property="c1ck11txsl"    column="c1ck11txsl"    />
        <result property="c1ck12txsl"    column="c1ck12txsl"    />
        <result property="c1ck13txsl"    column="c1ck13txsl"    />
        <result property="c1ck14txsl"    column="c1ck14txsl"    />
        <result property="c1ck15txsl"    column="c1ck15txsl"    />
        <result property="c1ck16txsl"    column="c1ck16txsl"    />
        <result property="c1ck17txsl"    column="c1ck17txsl"    />
        <result property="c1ck18txsl"    column="c1ck18txsl"    />
        <result property="c1ck19txsl"    column="c1ck19txsl"    />
        <result property="c1ck20txsl"    column="c1ck20txsl"    />
        <result property="c1ck21txsl"    column="c1ck21txsl"    />
        <result property="c1ck22txsl"    column="c1ck22txsl"    />
        <result property="c1ck23txsl"    column="c1ck23txsl"    />
        <result property="c1ck24txsl"    column="c1ck24txsl"    />
        <result property="c1ck25txsl"    column="c1ck25txsl"    />
        <result property="c1ck26txsl"    column="c1ck26txsl"    />
        <result property="c1ck27txsl"    column="c1ck27txsl"    />
        <result property="c1ck28txsl"    column="c1ck28txsl"    />
        <result property="c1ck29txsl"    column="c1ck29txsl"    />
        <result property="c1ck30txsl"    column="c1ck30txsl"    />
        <result property="c1ck31txsl"    column="c1ck31txsl"    />
        <result property="c1ck32txsl"    column="c1ck32txsl"    />
        <result property="c1ck33txsl"    column="c1ck33txsl"    />
        <result property="c1ck34txsl"    column="c1ck34txsl"    />
        <result property="c1ck35txsl"    column="c1ck35txsl"    />
        <result property="c1ck36txsl"    column="c1ck36txsl"    />
        <result property="c1ck37txsl"    column="c1ck37txsl"    />
        <result property="c1ck38txsl"    column="c1ck38txsl"    />
        <result property="c1ck39txsl"    column="c1ck39txsl"    />
        <result property="c1ck40txsl"    column="c1ck40txsl"    />
        <result property="c1dzwdggqdgj"    column="c1dzwdggqdgj"    />
        <result property="c1dzwdggzdgj"    column="c1dzwdggzdgj"    />
        <result property="c1dzwdggzzdgj"    column="c1dzwdggzzdgj"    />
        <result property="c1mkdyggqdgj"    column="c1mkdyggqdgj"    />
        <result property="c1mkdyggzdgj"    column="c1mkdyggzdgj"    />
        <result property="c1mkdyggzzdgj"    column="c1mkdyggzzdgj"    />
        <result property="c1mkdygdqdgj"    column="c1mkdygdqdgj"    />
        <result property="c1mkdygdzdgj"    column="c1mkdygdzdgj"    />
        <result property="c1mkdygdzzdgj"    column="c1mkdygdzzdgj"    />
        <result property="c1dycjgz"    column="c1dycjgz"    />
        <result property="c1wdcjgz"    column="c1wdcjgz"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectEmsClusterAlarmDataVo">
        select id, data_timestamp, site_id, device_id, c1zktxsl, c1ddyqyqdgj, c1ddyqyzdgj, c1ddyqyzzdgj, c1ddygyqdgj, c1ddygyzdgj, c1ddygyzzdgj, c1ddlqdgj, c1ddlzdgj, c1ddlzzdgj, c1dtqyqdgj, c1dtqyzdgj, c1dtqyzzdgj, c1dtgyqdgj, c1dtgyzdgj, c1dtgyzzdgj, c1dtqwqdgj, c1dtqwzdgj, c1dtqwzzdgj, c1dtgwqdgj, c1dtgwzdgj, c1dtgwzzdgj, c1socdqdgj, c1socdzdgj, c1socdzzdgj, c1socgqdgj, c1socgzdgj, c1socgzzdgj, c1sohdqdgj, c1sohdzdgj, c1sohdzzdgj, c1dtycqdgj, c1dtyczdgj, c1dtyczzdgj, c1dtwcqdgj, c1dtwczdgj, c1dtwczzdgj, c1ck1txsl, c1ck2txsl, c1ck3txsl, c1ck4txsl, c1ck5txsl, c1ck6txsl, c1ck7txsl, c1ck8txsl, c1ck9txsl, c1ck10txsl, c1ck11txsl, c1ck12txsl, c1ck13txsl, c1ck14txsl, c1ck15txsl, c1ck16txsl, c1ck17txsl, c1ck18txsl, c1ck19txsl, c1ck20txsl, c1ck21txsl, c1ck22txsl, c1ck23txsl, c1ck24txsl, c1ck25txsl, c1ck26txsl, c1ck27txsl, c1ck28txsl, c1ck29txsl, c1ck30txsl, c1ck31txsl, c1ck32txsl, c1ck33txsl, c1ck34txsl, c1ck35txsl, c1ck36txsl, c1ck37txsl, c1ck38txsl, c1ck39txsl, c1ck40txsl, c1dzwdggqdgj, c1dzwdggzdgj, c1dzwdggzzdgj, c1mkdyggqdgj, c1mkdyggzdgj, c1mkdyggzzdgj, c1mkdygdqdgj, c1mkdygdzdgj, c1mkdygdzzdgj, c1dycjgz, c1wdcjgz, create_by, create_time, update_by, update_time, remark from ems_cluster_alarm_data
    </sql>

    <select id="selectEmsClusterAlarmDataList" parameterType="EmsClusterAlarmData" resultMap="EmsClusterAlarmDataResult">
        <include refid="selectEmsClusterAlarmDataVo"/>
        <where>
            <if test="dataTimestamp != null "> and data_timestamp = #{dataTimestamp}</if>
            <if test="siteId != null  and siteId != ''"> and site_id = #{siteId}</if>
            <if test="deviceId != null  and deviceId != ''"> and device_id = #{deviceId}</if>
            <if test="c1zktxsl != null "> and c1zktxsl = #{c1zktxsl}</if>
            <if test="c1ddyqyqdgj != null "> and c1ddyqyqdgj = #{c1ddyqyqdgj}</if>
            <if test="c1ddyqyzdgj != null "> and c1ddyqyzdgj = #{c1ddyqyzdgj}</if>
            <if test="c1ddyqyzzdgj != null "> and c1ddyqyzzdgj = #{c1ddyqyzzdgj}</if>
            <if test="c1ddygyqdgj != null "> and c1ddygyqdgj = #{c1ddygyqdgj}</if>
            <if test="c1ddygyzdgj != null "> and c1ddygyzdgj = #{c1ddygyzdgj}</if>
            <if test="c1ddygyzzdgj != null "> and c1ddygyzzdgj = #{c1ddygyzzdgj}</if>
            <if test="c1ddlqdgj != null "> and c1ddlqdgj = #{c1ddlqdgj}</if>
            <if test="c1ddlzdgj != null "> and c1ddlzdgj = #{c1ddlzdgj}</if>
            <if test="c1ddlzzdgj != null "> and c1ddlzzdgj = #{c1ddlzzdgj}</if>
            <if test="c1dtqyqdgj != null "> and c1dtqyqdgj = #{c1dtqyqdgj}</if>
            <if test="c1dtqyzdgj != null "> and c1dtqyzdgj = #{c1dtqyzdgj}</if>
            <if test="c1dtqyzzdgj != null "> and c1dtqyzzdgj = #{c1dtqyzzdgj}</if>
            <if test="c1dtgyqdgj != null "> and c1dtgyqdgj = #{c1dtgyqdgj}</if>
            <if test="c1dtgyzdgj != null "> and c1dtgyzdgj = #{c1dtgyzdgj}</if>
            <if test="c1dtgyzzdgj != null "> and c1dtgyzzdgj = #{c1dtgyzzdgj}</if>
            <if test="c1dtqwqdgj != null "> and c1dtqwqdgj = #{c1dtqwqdgj}</if>
            <if test="c1dtqwzdgj != null "> and c1dtqwzdgj = #{c1dtqwzdgj}</if>
            <if test="c1dtqwzzdgj != null "> and c1dtqwzzdgj = #{c1dtqwzzdgj}</if>
            <if test="c1dtgwqdgj != null "> and c1dtgwqdgj = #{c1dtgwqdgj}</if>
            <if test="c1dtgwzdgj != null "> and c1dtgwzdgj = #{c1dtgwzdgj}</if>
            <if test="c1dtgwzzdgj != null "> and c1dtgwzzdgj = #{c1dtgwzzdgj}</if>
            <if test="c1socdqdgj != null "> and c1socdqdgj = #{c1socdqdgj}</if>
            <if test="c1socdzdgj != null "> and c1socdzdgj = #{c1socdzdgj}</if>
            <if test="c1socdzzdgj != null "> and c1socdzzdgj = #{c1socdzzdgj}</if>
            <if test="c1socgqdgj != null "> and c1socgqdgj = #{c1socgqdgj}</if>
            <if test="c1socgzdgj != null "> and c1socgzdgj = #{c1socgzdgj}</if>
            <if test="c1socgzzdgj != null "> and c1socgzzdgj = #{c1socgzzdgj}</if>
            <if test="c1sohdqdgj != null "> and c1sohdqdgj = #{c1sohdqdgj}</if>
            <if test="c1sohdzdgj != null "> and c1sohdzdgj = #{c1sohdzdgj}</if>
            <if test="c1sohdzzdgj != null "> and c1sohdzzdgj = #{c1sohdzzdgj}</if>
            <if test="c1dtycqdgj != null "> and c1dtycqdgj = #{c1dtycqdgj}</if>
            <if test="c1dtyczdgj != null "> and c1dtyczdgj = #{c1dtyczdgj}</if>
            <if test="c1dtyczzdgj != null "> and c1dtyczzdgj = #{c1dtyczzdgj}</if>
            <if test="c1dtwcqdgj != null "> and c1dtwcqdgj = #{c1dtwcqdgj}</if>
            <if test="c1dtwczdgj != null "> and c1dtwczdgj = #{c1dtwczdgj}</if>
            <if test="c1dtwczzdgj != null "> and c1dtwczzdgj = #{c1dtwczzdgj}</if>
            <if test="c1ck1txsl != null "> and c1ck1txsl = #{c1ck1txsl}</if>
            <if test="c1ck2txsl != null "> and c1ck2txsl = #{c1ck2txsl}</if>
            <if test="c1ck3txsl != null "> and c1ck3txsl = #{c1ck3txsl}</if>
            <if test="c1ck4txsl != null "> and c1ck4txsl = #{c1ck4txsl}</if>
            <if test="c1ck5txsl != null "> and c1ck5txsl = #{c1ck5txsl}</if>
            <if test="c1ck6txsl != null "> and c1ck6txsl = #{c1ck6txsl}</if>
            <if test="c1ck7txsl != null "> and c1ck7txsl = #{c1ck7txsl}</if>
            <if test="c1ck8txsl != null "> and c1ck8txsl = #{c1ck8txsl}</if>
            <if test="c1ck9txsl != null "> and c1ck9txsl = #{c1ck9txsl}</if>
            <if test="c1ck10txsl != null "> and c1ck10txsl = #{c1ck10txsl}</if>
            <if test="c1ck11txsl != null "> and c1ck11txsl = #{c1ck11txsl}</if>
            <if test="c1ck12txsl != null "> and c1ck12txsl = #{c1ck12txsl}</if>
            <if test="c1ck13txsl != null "> and c1ck13txsl = #{c1ck13txsl}</if>
            <if test="c1ck14txsl != null "> and c1ck14txsl = #{c1ck14txsl}</if>
            <if test="c1ck15txsl != null "> and c1ck15txsl = #{c1ck15txsl}</if>
            <if test="c1ck16txsl != null "> and c1ck16txsl = #{c1ck16txsl}</if>
            <if test="c1ck17txsl != null "> and c1ck17txsl = #{c1ck17txsl}</if>
            <if test="c1ck18txsl != null "> and c1ck18txsl = #{c1ck18txsl}</if>
            <if test="c1ck19txsl != null "> and c1ck19txsl = #{c1ck19txsl}</if>
            <if test="c1ck20txsl != null "> and c1ck20txsl = #{c1ck20txsl}</if>
            <if test="c1ck21txsl != null "> and c1ck21txsl = #{c1ck21txsl}</if>
            <if test="c1ck22txsl != null "> and c1ck22txsl = #{c1ck22txsl}</if>
            <if test="c1ck23txsl != null "> and c1ck23txsl = #{c1ck23txsl}</if>
            <if test="c1ck24txsl != null "> and c1ck24txsl = #{c1ck24txsl}</if>
            <if test="c1ck25txsl != null "> and c1ck25txsl = #{c1ck25txsl}</if>
            <if test="c1ck26txsl != null "> and c1ck26txsl = #{c1ck26txsl}</if>
            <if test="c1ck27txsl != null "> and c1ck27txsl = #{c1ck27txsl}</if>
            <if test="c1ck28txsl != null "> and c1ck28txsl = #{c1ck28txsl}</if>
            <if test="c1ck29txsl != null "> and c1ck29txsl = #{c1ck29txsl}</if>
            <if test="c1ck30txsl != null "> and c1ck30txsl = #{c1ck30txsl}</if>
            <if test="c1ck31txsl != null "> and c1ck31txsl = #{c1ck31txsl}</if>
            <if test="c1ck32txsl != null "> and c1ck32txsl = #{c1ck32txsl}</if>
            <if test="c1ck33txsl != null "> and c1ck33txsl = #{c1ck33txsl}</if>
            <if test="c1ck34txsl != null "> and c1ck34txsl = #{c1ck34txsl}</if>
            <if test="c1ck35txsl != null "> and c1ck35txsl = #{c1ck35txsl}</if>
            <if test="c1ck36txsl != null "> and c1ck36txsl = #{c1ck36txsl}</if>
            <if test="c1ck37txsl != null "> and c1ck37txsl = #{c1ck37txsl}</if>
            <if test="c1ck38txsl != null "> and c1ck38txsl = #{c1ck38txsl}</if>
            <if test="c1ck39txsl != null "> and c1ck39txsl = #{c1ck39txsl}</if>
            <if test="c1ck40txsl != null "> and c1ck40txsl = #{c1ck40txsl}</if>
            <if test="c1dzwdggqdgj != null "> and c1dzwdggqdgj = #{c1dzwdggqdgj}</if>
            <if test="c1dzwdggzdgj != null "> and c1dzwdggzdgj = #{c1dzwdggzdgj}</if>
            <if test="c1dzwdggzzdgj != null "> and c1dzwdggzzdgj = #{c1dzwdggzzdgj}</if>
            <if test="c1mkdyggqdgj != null "> and c1mkdyggqdgj = #{c1mkdyggqdgj}</if>
            <if test="c1mkdyggzdgj != null "> and c1mkdyggzdgj = #{c1mkdyggzdgj}</if>
            <if test="c1mkdyggzzdgj != null "> and c1mkdyggzzdgj = #{c1mkdyggzzdgj}</if>
            <if test="c1mkdygdqdgj != null "> and c1mkdygdqdgj = #{c1mkdygdqdgj}</if>
            <if test="c1mkdygdzdgj != null "> and c1mkdygdzdgj = #{c1mkdygdzdgj}</if>
            <if test="c1mkdygdzzdgj != null "> and c1mkdygdzzdgj = #{c1mkdygdzzdgj}</if>
            <if test="c1dycjgz != null "> and c1dycjgz = #{c1dycjgz}</if>
            <if test="c1wdcjgz != null "> and c1wdcjgz = #{c1wdcjgz}</if>
        </where>
    </select>

    <select id="selectEmsClusterAlarmDataById" parameterType="Long" resultMap="EmsClusterAlarmDataResult">
        <include refid="selectEmsClusterAlarmDataVo"/>
        where id = #{id}
    </select>

    <insert id="insertEmsClusterAlarmData" parameterType="EmsClusterAlarmData" useGeneratedKeys="true" keyProperty="id">
        insert into ems_cluster_alarm_data
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="dataTimestamp != null">data_timestamp,</if>
            <if test="siteId != null and siteId != ''">site_id,</if>
            <if test="deviceId != null and deviceId != ''">device_id,</if>
            <if test="c1zktxsl != null">c1zktxsl,</if>
            <if test="c1ddyqyqdgj != null">c1ddyqyqdgj,</if>
            <if test="c1ddyqyzdgj != null">c1ddyqyzdgj,</if>
            <if test="c1ddyqyzzdgj != null">c1ddyqyzzdgj,</if>
            <if test="c1ddygyqdgj != null">c1ddygyqdgj,</if>
            <if test="c1ddygyzdgj != null">c1ddygyzdgj,</if>
            <if test="c1ddygyzzdgj != null">c1ddygyzzdgj,</if>
            <if test="c1ddlqdgj != null">c1ddlqdgj,</if>
            <if test="c1ddlzdgj != null">c1ddlzdgj,</if>
            <if test="c1ddlzzdgj != null">c1ddlzzdgj,</if>
            <if test="c1dtqyqdgj != null">c1dtqyqdgj,</if>
            <if test="c1dtqyzdgj != null">c1dtqyzdgj,</if>
            <if test="c1dtqyzzdgj != null">c1dtqyzzdgj,</if>
            <if test="c1dtgyqdgj != null">c1dtgyqdgj,</if>
            <if test="c1dtgyzdgj != null">c1dtgyzdgj,</if>
            <if test="c1dtgyzzdgj != null">c1dtgyzzdgj,</if>
            <if test="c1dtqwqdgj != null">c1dtqwqdgj,</if>
            <if test="c1dtqwzdgj != null">c1dtqwzdgj,</if>
            <if test="c1dtqwzzdgj != null">c1dtqwzzdgj,</if>
            <if test="c1dtgwqdgj != null">c1dtgwqdgj,</if>
            <if test="c1dtgwzdgj != null">c1dtgwzdgj,</if>
            <if test="c1dtgwzzdgj != null">c1dtgwzzdgj,</if>
            <if test="c1socdqdgj != null">c1socdqdgj,</if>
            <if test="c1socdzdgj != null">c1socdzdgj,</if>
            <if test="c1socdzzdgj != null">c1socdzzdgj,</if>
            <if test="c1socgqdgj != null">c1socgqdgj,</if>
            <if test="c1socgzdgj != null">c1socgzdgj,</if>
            <if test="c1socgzzdgj != null">c1socgzzdgj,</if>
            <if test="c1sohdqdgj != null">c1sohdqdgj,</if>
            <if test="c1sohdzdgj != null">c1sohdzdgj,</if>
            <if test="c1sohdzzdgj != null">c1sohdzzdgj,</if>
            <if test="c1dtycqdgj != null">c1dtycqdgj,</if>
            <if test="c1dtyczdgj != null">c1dtyczdgj,</if>
            <if test="c1dtyczzdgj != null">c1dtyczzdgj,</if>
            <if test="c1dtwcqdgj != null">c1dtwcqdgj,</if>
            <if test="c1dtwczdgj != null">c1dtwczdgj,</if>
            <if test="c1dtwczzdgj != null">c1dtwczzdgj,</if>
            <if test="c1ck1txsl != null">c1ck1txsl,</if>
            <if test="c1ck2txsl != null">c1ck2txsl,</if>
            <if test="c1ck3txsl != null">c1ck3txsl,</if>
            <if test="c1ck4txsl != null">c1ck4txsl,</if>
            <if test="c1ck5txsl != null">c1ck5txsl,</if>
            <if test="c1ck6txsl != null">c1ck6txsl,</if>
            <if test="c1ck7txsl != null">c1ck7txsl,</if>
            <if test="c1ck8txsl != null">c1ck8txsl,</if>
            <if test="c1ck9txsl != null">c1ck9txsl,</if>
            <if test="c1ck10txsl != null">c1ck10txsl,</if>
            <if test="c1ck11txsl != null">c1ck11txsl,</if>
            <if test="c1ck12txsl != null">c1ck12txsl,</if>
            <if test="c1ck13txsl != null">c1ck13txsl,</if>
            <if test="c1ck14txsl != null">c1ck14txsl,</if>
            <if test="c1ck15txsl != null">c1ck15txsl,</if>
            <if test="c1ck16txsl != null">c1ck16txsl,</if>
            <if test="c1ck17txsl != null">c1ck17txsl,</if>
            <if test="c1ck18txsl != null">c1ck18txsl,</if>
            <if test="c1ck19txsl != null">c1ck19txsl,</if>
            <if test="c1ck20txsl != null">c1ck20txsl,</if>
            <if test="c1ck21txsl != null">c1ck21txsl,</if>
            <if test="c1ck22txsl != null">c1ck22txsl,</if>
            <if test="c1ck23txsl != null">c1ck23txsl,</if>
            <if test="c1ck24txsl != null">c1ck24txsl,</if>
            <if test="c1ck25txsl != null">c1ck25txsl,</if>
            <if test="c1ck26txsl != null">c1ck26txsl,</if>
            <if test="c1ck27txsl != null">c1ck27txsl,</if>
            <if test="c1ck28txsl != null">c1ck28txsl,</if>
            <if test="c1ck29txsl != null">c1ck29txsl,</if>
            <if test="c1ck30txsl != null">c1ck30txsl,</if>
            <if test="c1ck31txsl != null">c1ck31txsl,</if>
            <if test="c1ck32txsl != null">c1ck32txsl,</if>
            <if test="c1ck33txsl != null">c1ck33txsl,</if>
            <if test="c1ck34txsl != null">c1ck34txsl,</if>
            <if test="c1ck35txsl != null">c1ck35txsl,</if>
            <if test="c1ck36txsl != null">c1ck36txsl,</if>
            <if test="c1ck37txsl != null">c1ck37txsl,</if>
            <if test="c1ck38txsl != null">c1ck38txsl,</if>
            <if test="c1ck39txsl != null">c1ck39txsl,</if>
            <if test="c1ck40txsl != null">c1ck40txsl,</if>
            <if test="c1dzwdggqdgj != null">c1dzwdggqdgj,</if>
            <if test="c1dzwdggzdgj != null">c1dzwdggzdgj,</if>
            <if test="c1dzwdggzzdgj != null">c1dzwdggzzdgj,</if>
            <if test="c1mkdyggqdgj != null">c1mkdyggqdgj,</if>
            <if test="c1mkdyggzdgj != null">c1mkdyggzdgj,</if>
            <if test="c1mkdyggzzdgj != null">c1mkdyggzzdgj,</if>
            <if test="c1mkdygdqdgj != null">c1mkdygdqdgj,</if>
            <if test="c1mkdygdzdgj != null">c1mkdygdzdgj,</if>
            <if test="c1mkdygdzzdgj != null">c1mkdygdzzdgj,</if>
            <if test="c1dycjgz != null">c1dycjgz,</if>
            <if test="c1wdcjgz != null">c1wdcjgz,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="dataTimestamp != null">#{dataTimestamp},</if>
            <if test="siteId != null and siteId != ''">#{siteId},</if>
            <if test="deviceId != null and deviceId != ''">#{deviceId},</if>
            <if test="c1zktxsl != null">#{c1zktxsl},</if>
            <if test="c1ddyqyqdgj != null">#{c1ddyqyqdgj},</if>
            <if test="c1ddyqyzdgj != null">#{c1ddyqyzdgj},</if>
            <if test="c1ddyqyzzdgj != null">#{c1ddyqyzzdgj},</if>
            <if test="c1ddygyqdgj != null">#{c1ddygyqdgj},</if>
            <if test="c1ddygyzdgj != null">#{c1ddygyzdgj},</if>
            <if test="c1ddygyzzdgj != null">#{c1ddygyzzdgj},</if>
            <if test="c1ddlqdgj != null">#{c1ddlqdgj},</if>
            <if test="c1ddlzdgj != null">#{c1ddlzdgj},</if>
            <if test="c1ddlzzdgj != null">#{c1ddlzzdgj},</if>
            <if test="c1dtqyqdgj != null">#{c1dtqyqdgj},</if>
            <if test="c1dtqyzdgj != null">#{c1dtqyzdgj},</if>
            <if test="c1dtqyzzdgj != null">#{c1dtqyzzdgj},</if>
            <if test="c1dtgyqdgj != null">#{c1dtgyqdgj},</if>
            <if test="c1dtgyzdgj != null">#{c1dtgyzdgj},</if>
            <if test="c1dtgyzzdgj != null">#{c1dtgyzzdgj},</if>
            <if test="c1dtqwqdgj != null">#{c1dtqwqdgj},</if>
            <if test="c1dtqwzdgj != null">#{c1dtqwzdgj},</if>
            <if test="c1dtqwzzdgj != null">#{c1dtqwzzdgj},</if>
            <if test="c1dtgwqdgj != null">#{c1dtgwqdgj},</if>
            <if test="c1dtgwzdgj != null">#{c1dtgwzdgj},</if>
            <if test="c1dtgwzzdgj != null">#{c1dtgwzzdgj},</if>
            <if test="c1socdqdgj != null">#{c1socdqdgj},</if>
            <if test="c1socdzdgj != null">#{c1socdzdgj},</if>
            <if test="c1socdzzdgj != null">#{c1socdzzdgj},</if>
            <if test="c1socgqdgj != null">#{c1socgqdgj},</if>
            <if test="c1socgzdgj != null">#{c1socgzdgj},</if>
            <if test="c1socgzzdgj != null">#{c1socgzzdgj},</if>
            <if test="c1sohdqdgj != null">#{c1sohdqdgj},</if>
            <if test="c1sohdzdgj != null">#{c1sohdzdgj},</if>
            <if test="c1sohdzzdgj != null">#{c1sohdzzdgj},</if>
            <if test="c1dtycqdgj != null">#{c1dtycqdgj},</if>
            <if test="c1dtyczdgj != null">#{c1dtyczdgj},</if>
            <if test="c1dtyczzdgj != null">#{c1dtyczzdgj},</if>
            <if test="c1dtwcqdgj != null">#{c1dtwcqdgj},</if>
            <if test="c1dtwczdgj != null">#{c1dtwczdgj},</if>
            <if test="c1dtwczzdgj != null">#{c1dtwczzdgj},</if>
            <if test="c1ck1txsl != null">#{c1ck1txsl},</if>
            <if test="c1ck2txsl != null">#{c1ck2txsl},</if>
            <if test="c1ck3txsl != null">#{c1ck3txsl},</if>
            <if test="c1ck4txsl != null">#{c1ck4txsl},</if>
            <if test="c1ck5txsl != null">#{c1ck5txsl},</if>
            <if test="c1ck6txsl != null">#{c1ck6txsl},</if>
            <if test="c1ck7txsl != null">#{c1ck7txsl},</if>
            <if test="c1ck8txsl != null">#{c1ck8txsl},</if>
            <if test="c1ck9txsl != null">#{c1ck9txsl},</if>
            <if test="c1ck10txsl != null">#{c1ck10txsl},</if>
            <if test="c1ck11txsl != null">#{c1ck11txsl},</if>
            <if test="c1ck12txsl != null">#{c1ck12txsl},</if>
            <if test="c1ck13txsl != null">#{c1ck13txsl},</if>
            <if test="c1ck14txsl != null">#{c1ck14txsl},</if>
            <if test="c1ck15txsl != null">#{c1ck15txsl},</if>
            <if test="c1ck16txsl != null">#{c1ck16txsl},</if>
            <if test="c1ck17txsl != null">#{c1ck17txsl},</if>
            <if test="c1ck18txsl != null">#{c1ck18txsl},</if>
            <if test="c1ck19txsl != null">#{c1ck19txsl},</if>
            <if test="c1ck20txsl != null">#{c1ck20txsl},</if>
            <if test="c1ck21txsl != null">#{c1ck21txsl},</if>
            <if test="c1ck22txsl != null">#{c1ck22txsl},</if>
            <if test="c1ck23txsl != null">#{c1ck23txsl},</if>
            <if test="c1ck24txsl != null">#{c1ck24txsl},</if>
            <if test="c1ck25txsl != null">#{c1ck25txsl},</if>
            <if test="c1ck26txsl != null">#{c1ck26txsl},</if>
            <if test="c1ck27txsl != null">#{c1ck27txsl},</if>
            <if test="c1ck28txsl != null">#{c1ck28txsl},</if>
            <if test="c1ck29txsl != null">#{c1ck29txsl},</if>
            <if test="c1ck30txsl != null">#{c1ck30txsl},</if>
            <if test="c1ck31txsl != null">#{c1ck31txsl},</if>
            <if test="c1ck32txsl != null">#{c1ck32txsl},</if>
            <if test="c1ck33txsl != null">#{c1ck33txsl},</if>
            <if test="c1ck34txsl != null">#{c1ck34txsl},</if>
            <if test="c1ck35txsl != null">#{c1ck35txsl},</if>
            <if test="c1ck36txsl != null">#{c1ck36txsl},</if>
            <if test="c1ck37txsl != null">#{c1ck37txsl},</if>
            <if test="c1ck38txsl != null">#{c1ck38txsl},</if>
            <if test="c1ck39txsl != null">#{c1ck39txsl},</if>
            <if test="c1ck40txsl != null">#{c1ck40txsl},</if>
            <if test="c1dzwdggqdgj != null">#{c1dzwdggqdgj},</if>
            <if test="c1dzwdggzdgj != null">#{c1dzwdggzdgj},</if>
            <if test="c1dzwdggzzdgj != null">#{c1dzwdggzzdgj},</if>
            <if test="c1mkdyggqdgj != null">#{c1mkdyggqdgj},</if>
            <if test="c1mkdyggzdgj != null">#{c1mkdyggzdgj},</if>
            <if test="c1mkdyggzzdgj != null">#{c1mkdyggzzdgj},</if>
            <if test="c1mkdygdqdgj != null">#{c1mkdygdqdgj},</if>
            <if test="c1mkdygdzdgj != null">#{c1mkdygdzdgj},</if>
            <if test="c1mkdygdzzdgj != null">#{c1mkdygdzzdgj},</if>
            <if test="c1dycjgz != null">#{c1dycjgz},</if>
            <if test="c1wdcjgz != null">#{c1wdcjgz},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
        </trim>
    </insert>

    <update id="updateEmsClusterAlarmData" parameterType="EmsClusterAlarmData">
        update ems_cluster_alarm_data
        <trim prefix="SET" suffixOverrides=",">
            <if test="dataTimestamp != null">data_timestamp = #{dataTimestamp},</if>
            <if test="siteId != null and siteId != ''">site_id = #{siteId},</if>
            <if test="deviceId != null and deviceId != ''">device_id = #{deviceId},</if>
            <if test="c1zktxsl != null">c1zktxsl = #{c1zktxsl},</if>
            <if test="c1ddyqyqdgj != null">c1ddyqyqdgj = #{c1ddyqyqdgj},</if>
            <if test="c1ddyqyzdgj != null">c1ddyqyzdgj = #{c1ddyqyzdgj},</if>
            <if test="c1ddyqyzzdgj != null">c1ddyqyzzdgj = #{c1ddyqyzzdgj},</if>
            <if test="c1ddygyqdgj != null">c1ddygyqdgj = #{c1ddygyqdgj},</if>
            <if test="c1ddygyzdgj != null">c1ddygyzdgj = #{c1ddygyzdgj},</if>
            <if test="c1ddygyzzdgj != null">c1ddygyzzdgj = #{c1ddygyzzdgj},</if>
            <if test="c1ddlqdgj != null">c1ddlqdgj = #{c1ddlqdgj},</if>
            <if test="c1ddlzdgj != null">c1ddlzdgj = #{c1ddlzdgj},</if>
            <if test="c1ddlzzdgj != null">c1ddlzzdgj = #{c1ddlzzdgj},</if>
            <if test="c1dtqyqdgj != null">c1dtqyqdgj = #{c1dtqyqdgj},</if>
            <if test="c1dtqyzdgj != null">c1dtqyzdgj = #{c1dtqyzdgj},</if>
            <if test="c1dtqyzzdgj != null">c1dtqyzzdgj = #{c1dtqyzzdgj},</if>
            <if test="c1dtgyqdgj != null">c1dtgyqdgj = #{c1dtgyqdgj},</if>
            <if test="c1dtgyzdgj != null">c1dtgyzdgj = #{c1dtgyzdgj},</if>
            <if test="c1dtgyzzdgj != null">c1dtgyzzdgj = #{c1dtgyzzdgj},</if>
            <if test="c1dtqwqdgj != null">c1dtqwqdgj = #{c1dtqwqdgj},</if>
            <if test="c1dtqwzdgj != null">c1dtqwzdgj = #{c1dtqwzdgj},</if>
            <if test="c1dtqwzzdgj != null">c1dtqwzzdgj = #{c1dtqwzzdgj},</if>
            <if test="c1dtgwqdgj != null">c1dtgwqdgj = #{c1dtgwqdgj},</if>
            <if test="c1dtgwzdgj != null">c1dtgwzdgj = #{c1dtgwzdgj},</if>
            <if test="c1dtgwzzdgj != null">c1dtgwzzdgj = #{c1dtgwzzdgj},</if>
            <if test="c1socdqdgj != null">c1socdqdgj = #{c1socdqdgj},</if>
            <if test="c1socdzdgj != null">c1socdzdgj = #{c1socdzdgj},</if>
            <if test="c1socdzzdgj != null">c1socdzzdgj = #{c1socdzzdgj},</if>
            <if test="c1socgqdgj != null">c1socgqdgj = #{c1socgqdgj},</if>
            <if test="c1socgzdgj != null">c1socgzdgj = #{c1socgzdgj},</if>
            <if test="c1socgzzdgj != null">c1socgzzdgj = #{c1socgzzdgj},</if>
            <if test="c1sohdqdgj != null">c1sohdqdgj = #{c1sohdqdgj},</if>
            <if test="c1sohdzdgj != null">c1sohdzdgj = #{c1sohdzdgj},</if>
            <if test="c1sohdzzdgj != null">c1sohdzzdgj = #{c1sohdzzdgj},</if>
            <if test="c1dtycqdgj != null">c1dtycqdgj = #{c1dtycqdgj},</if>
            <if test="c1dtyczdgj != null">c1dtyczdgj = #{c1dtyczdgj},</if>
            <if test="c1dtyczzdgj != null">c1dtyczzdgj = #{c1dtyczzdgj},</if>
            <if test="c1dtwcqdgj != null">c1dtwcqdgj = #{c1dtwcqdgj},</if>
            <if test="c1dtwczdgj != null">c1dtwczdgj = #{c1dtwczdgj},</if>
            <if test="c1dtwczzdgj != null">c1dtwczzdgj = #{c1dtwczzdgj},</if>
            <if test="c1ck1txsl != null">c1ck1txsl = #{c1ck1txsl},</if>
            <if test="c1ck2txsl != null">c1ck2txsl = #{c1ck2txsl},</if>
            <if test="c1ck3txsl != null">c1ck3txsl = #{c1ck3txsl},</if>
            <if test="c1ck4txsl != null">c1ck4txsl = #{c1ck4txsl},</if>
            <if test="c1ck5txsl != null">c1ck5txsl = #{c1ck5txsl},</if>
            <if test="c1ck6txsl != null">c1ck6txsl = #{c1ck6txsl},</if>
            <if test="c1ck7txsl != null">c1ck7txsl = #{c1ck7txsl},</if>
            <if test="c1ck8txsl != null">c1ck8txsl = #{c1ck8txsl},</if>
            <if test="c1ck9txsl != null">c1ck9txsl = #{c1ck9txsl},</if>
            <if test="c1ck10txsl != null">c1ck10txsl = #{c1ck10txsl},</if>
            <if test="c1ck11txsl != null">c1ck11txsl = #{c1ck11txsl},</if>
            <if test="c1ck12txsl != null">c1ck12txsl = #{c1ck12txsl},</if>
            <if test="c1ck13txsl != null">c1ck13txsl = #{c1ck13txsl},</if>
            <if test="c1ck14txsl != null">c1ck14txsl = #{c1ck14txsl},</if>
            <if test="c1ck15txsl != null">c1ck15txsl = #{c1ck15txsl},</if>
            <if test="c1ck16txsl != null">c1ck16txsl = #{c1ck16txsl},</if>
            <if test="c1ck17txsl != null">c1ck17txsl = #{c1ck17txsl},</if>
            <if test="c1ck18txsl != null">c1ck18txsl = #{c1ck18txsl},</if>
            <if test="c1ck19txsl != null">c1ck19txsl = #{c1ck19txsl},</if>
            <if test="c1ck20txsl != null">c1ck20txsl = #{c1ck20txsl},</if>
            <if test="c1ck21txsl != null">c1ck21txsl = #{c1ck21txsl},</if>
            <if test="c1ck22txsl != null">c1ck22txsl = #{c1ck22txsl},</if>
            <if test="c1ck23txsl != null">c1ck23txsl = #{c1ck23txsl},</if>
            <if test="c1ck24txsl != null">c1ck24txsl = #{c1ck24txsl},</if>
            <if test="c1ck25txsl != null">c1ck25txsl = #{c1ck25txsl},</if>
            <if test="c1ck26txsl != null">c1ck26txsl = #{c1ck26txsl},</if>
            <if test="c1ck27txsl != null">c1ck27txsl = #{c1ck27txsl},</if>
            <if test="c1ck28txsl != null">c1ck28txsl = #{c1ck28txsl},</if>
            <if test="c1ck29txsl != null">c1ck29txsl = #{c1ck29txsl},</if>
            <if test="c1ck30txsl != null">c1ck30txsl = #{c1ck30txsl},</if>
            <if test="c1ck31txsl != null">c1ck31txsl = #{c1ck31txsl},</if>
            <if test="c1ck32txsl != null">c1ck32txsl = #{c1ck32txsl},</if>
            <if test="c1ck33txsl != null">c1ck33txsl = #{c1ck33txsl},</if>
            <if test="c1ck34txsl != null">c1ck34txsl = #{c1ck34txsl},</if>
            <if test="c1ck35txsl != null">c1ck35txsl = #{c1ck35txsl},</if>
            <if test="c1ck36txsl != null">c1ck36txsl = #{c1ck36txsl},</if>
            <if test="c1ck37txsl != null">c1ck37txsl = #{c1ck37txsl},</if>
            <if test="c1ck38txsl != null">c1ck38txsl = #{c1ck38txsl},</if>
            <if test="c1ck39txsl != null">c1ck39txsl = #{c1ck39txsl},</if>
            <if test="c1ck40txsl != null">c1ck40txsl = #{c1ck40txsl},</if>
            <if test="c1dzwdggqdgj != null">c1dzwdggqdgj = #{c1dzwdggqdgj},</if>
            <if test="c1dzwdggzdgj != null">c1dzwdggzdgj = #{c1dzwdggzdgj},</if>
            <if test="c1dzwdggzzdgj != null">c1dzwdggzzdgj = #{c1dzwdggzzdgj},</if>
            <if test="c1mkdyggqdgj != null">c1mkdyggqdgj = #{c1mkdyggqdgj},</if>
            <if test="c1mkdyggzdgj != null">c1mkdyggzdgj = #{c1mkdyggzdgj},</if>
            <if test="c1mkdyggzzdgj != null">c1mkdyggzzdgj = #{c1mkdyggzzdgj},</if>
            <if test="c1mkdygdqdgj != null">c1mkdygdqdgj = #{c1mkdygdqdgj},</if>
            <if test="c1mkdygdzdgj != null">c1mkdygdzdgj = #{c1mkdygdzdgj},</if>
            <if test="c1mkdygdzzdgj != null">c1mkdygdzzdgj = #{c1mkdygdzzdgj},</if>
            <if test="c1dycjgz != null">c1dycjgz = #{c1dycjgz},</if>
            <if test="c1wdcjgz != null">c1wdcjgz = #{c1wdcjgz},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteEmsClusterAlarmDataById" parameterType="Long">
        delete from ems_cluster_alarm_data where id = #{id}
    </delete>

    <delete id="deleteEmsClusterAlarmDataByIds" parameterType="String">
        delete from ems_cluster_alarm_data where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>